import { Component, inject } from '@angular/core';
import { Korisnik } from '../modeli/korisnik';
import { Aktivnost } from '../modeli/aktivnost';
import { Router } from '@angular/router';
import { AktivnostiService } from '../servisi/aktivnosti.service';
import { LogoutComponent } from '../logout/logout.component';

@Component({
  selector: 'app-student',
  standalone: true,
  imports: [LogoutComponent],
  templateUrl: './student.component.html',
  styleUrl: './student.component.css'
})
export class StudentComponent {
  ulogovan: Korisnik = new Korisnik();
  aktuelneAktivnosti: Aktivnost[] = [];

  private router = inject(Router)
  private aktivnostiServis = inject(AktivnostiService)

  ngOnInit(): void {
    let x = localStorage.getItem("ulogovan");
    if (x != null) {
      this.ulogovan = JSON.parse(x);

      this.aktivnostiServis.aktuelneAktivnosti().subscribe(data => {
        this.aktuelneAktivnosti = data;
      });
    }
  }

  prijavi(aktivnost: Aktivnost) {
    // Ispravnije bi bilo da prosledjujemo aktivnost, tj. njen identifikator kao parametar,
    // ali s obzirom na to da nam na narednoj strani trebaju i podaci o aktivnosti,
    // kako ne bismo vise puta bespotrebno dohvatali iz baze podatke,
    // sacuvacemo podatke o aktivnosti u localStorage objektu
    localStorage.setItem("selektovana", JSON.stringify(aktivnost));
    this.router.navigate(['/prijava']);
  }
}
